# Interface: NormalizedScriptLocator

Internal representation of script locator data.

**`internal`**

## Table of contents

### Properties

- [absolute](NormalizedScriptLocator.md#absolute)
- [body](NormalizedScriptLocator.md#body)
- [fetch](NormalizedScriptLocator.md#fetch)
- [headers](NormalizedScriptLocator.md#headers)
- [method](NormalizedScriptLocator.md#method)
- [query](NormalizedScriptLocator.md#query)
- [timeout](NormalizedScriptLocator.md#timeout)
- [url](NormalizedScriptLocator.md#url)

## Properties

### absolute

• **absolute**: `boolean`

Whether script's URL is an absolute FileSystem URL on a target device.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:164](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L164)

___

### body

• `Optional` **body**: `string`

Request body.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:173](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L173)

___

### fetch

• **fetch**: `boolean`

Whether to fetch script from the network or use cached one.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:158](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L158)

___

### headers

• `Optional` **headers**: `Record`<`string`, `string`\>

Request headers.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:170](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L170)

___

### method

• **method**: ``"GET"`` \| ``"POST"``

HTTP method.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:152](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L152)

___

### query

• `Optional` **query**: `string`

Query params.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:167](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L167)

___

### timeout

• **timeout**: `number`

Custom timeout for script fetch requests.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:161](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L161)

___

### url

• **url**: `string`

Path-only URL to a script's location.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:155](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L155)
