# Interface: ScriptManagerConfig

Configuration options for [ScriptManager](../classes/ScriptManager.md).

## Table of contents

### Properties

- [resolve](ScriptManagerConfig.md#resolve)
- [storage](ScriptManagerConfig.md#storage)

## Properties

### resolve

• **resolve**: [`ScriptLocatorResolver`](../types/ScriptLocatorResolver.md)

An async function to resolve script locator data - in other words, it's a function to
tell the [ScriptManager](../classes/ScriptManager.md) how to fetch the script.

There's no limitation on what logic you can run inside this function - it can include:
- fetching/loading remote config
- fetching/loading feature flags
- fetching/loading A/B testing data
- calling native modules
- running arbitrary logic

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:134](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L134)

___

### storage

• `Optional` **storage**: [`StorageApi`](StorageApi.md)

Optional: A storage backend to cache resolved scripts locator data.

The stored data is used to detect if scripts locator data previously downloaded
script hasn't changed to avoid over-fetching the script.

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:142](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L142)
