# Interface: StorageApi

Interface for storage backend used in [ScriptManagerConfig](ScriptManagerConfig.md).
The interface is modelled on Async Storage from `react-native-community`.

## Table of contents

### Methods

- [getItem](StorageApi.md#getitem)
- [removeItem](StorageApi.md#removeitem)
- [setItem](StorageApi.md#setitem)

## Methods

### getItem

▸ **getItem**(`key`): `Promise`<`undefined` \| ``null`` \| `string`\>

Gets the data for the key.

#### Parameters

| Name | Type |
| :------ | :------ |
| `key` | `string` |

#### Returns

`Promise`<`undefined` \| ``null`` \| `string`\>

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:112](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L112)

___

### removeItem

▸ **removeItem**(`key`): `Promise`<`void`\>

Removes the item based on the key.

#### Parameters

| Name | Type |
| :------ | :------ |
| `key` | `string` |

#### Returns

`Promise`<`void`\>

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:116](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L116)

___

### setItem

▸ **setItem**(`key`, `value`): `Promise`<`void`\>

Sets the item value based on the key.

#### Parameters

| Name | Type |
| :------ | :------ |
| `key` | `string` |
| `value` | `string` |

#### Returns

`Promise`<`void`\>

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:114](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L114)
