# Type alias: ScriptLocatorResolver

Ƭ **ScriptLocatorResolver**: (`scriptId`: `string`, `caller?`: `string`) => `Promise`<[`ScriptLocator`](../interfaces/ScriptLocator.md)\>

#### Type declaration

▸ (`scriptId`, `caller?`): `Promise`<[`ScriptLocator`](../interfaces/ScriptLocator.md)\>

Defines a function to resolve a script locator used in [ScriptManagerConfig](../interfaces/ScriptManagerConfig.md).
It's an async function which should return an object with data on how [ScriptManager](../classes/ScriptManager.md)
should fetch the script. All fields describing the script locator data are listed in [ScriptLocator](../interfaces/ScriptLocator.md).

##### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `scriptId` | `string` | Id of the script to resolve. |
| `caller?` | `string` | Name of the calling script - it can be for example: name of the bundle, chunk or container. |

##### Returns

`Promise`<[`ScriptLocator`](../interfaces/ScriptLocator.md)\>

#### Defined in

[packages/repack/src/modules/ScriptManager/types.ts:101](https://github.com/callstack/repack/blob/a067171/packages/repack/src/modules/ScriptManager/types.ts#L101)
