# Interface: StartArguments

CLI arguments passed from React Native CLI when running start command.

**`internal`**

## Hierarchy

- [`CommonArguments`](CommonArguments.md)

  ↳ **`StartArguments`**

## Table of contents

### Properties

- [cert](StartArguments.md#cert)
- [host](StartArguments.md#host)
- [https](StartArguments.md#https)
- [interactive](StartArguments.md#interactive)
- [json](StartArguments.md#json)
- [key](StartArguments.md#key)
- [logFile](StartArguments.md#logfile)
- [platform](StartArguments.md#platform)
- [port](StartArguments.md#port)
- [resetCache](StartArguments.md#resetcache)
- [silent](StartArguments.md#silent)
- [verbose](StartArguments.md#verbose)
- [webpackConfig](StartArguments.md#webpackconfig)

## Properties

### cert

• `Optional` **cert**: `string`

#### Defined in

[types.ts:69](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L69)

___

### host

• `Optional` **host**: `string`

#### Defined in

[types.ts:70](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L70)

___

### https

• `Optional` **https**: `boolean`

#### Defined in

[types.ts:71](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L71)

___

### interactive

• `Optional` **interactive**: `boolean`

#### Defined in

[types.ts:74](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L74)

___

### json

• `Optional` **json**: `boolean`

#### Defined in

[types.ts:77](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L77)

___

### key

• `Optional` **key**: `string`

#### Defined in

[types.ts:72](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L72)

___

### logFile

• `Optional` **logFile**: `string`

#### Defined in

[types.ts:78](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L78)

___

### platform

• **platform**: `string`

Target application platform.

#### Inherited from

[CommonArguments](CommonArguments.md).[platform](CommonArguments.md#platform)

#### Defined in

[types.ts:37](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L37)

___

### port

• `Optional` **port**: `number`

#### Defined in

[types.ts:73](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L73)

___

### resetCache

• `Optional` **resetCache**: `boolean`

Whether to clean any persistent cache.

#### Inherited from

[CommonArguments](CommonArguments.md).[resetCache](CommonArguments.md#resetcache)

#### Defined in

[types.ts:39](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L39)

___

### silent

• `Optional` **silent**: `boolean`

#### Defined in

[types.ts:75](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L75)

___

### verbose

• `Optional` **verbose**: `boolean`

Whether to log additional debug messages.

#### Overrides

[CommonArguments](CommonArguments.md).[verbose](CommonArguments.md#verbose)

#### Defined in

[types.ts:76](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L76)

___

### webpackConfig

• `Optional` **webpackConfig**: `string`

Custom path to Webpack config.

#### Inherited from

[CommonArguments](CommonArguments.md).[webpackConfig](CommonArguments.md#webpackconfig)

#### Defined in

[types.ts:43](https://github.com/callstack/repack/blob/a067171/packages/repack/src/types.ts#L43)
